%define major 6
%define minor 0
%define fix 0

Name: unzip
%if %{fix} > 0
Version: %{major}.%{minor}.%{fix}
%define dir %{name}%{major}%{minor}{%fix}
%else
Version: %{major}.%{minor}
%define dir %{name}%{major}%{minor}
%endif
Release: 3
License: Info-ZIP
Summary: Info-Zip unzip utility
Url: http://www.info-zip.org/unzip.html

Source0: ftp://ftp.info-zip.org/pub/infozip/src/%{dir}.tgz

Patch0: unzip-Makefile.patch

%description
UnZip is an extraction utility for archives compressed in .zip format (also
called "zipfiles"). Although highly compatible both with PKWARE's PKZIP and
PKUNZIP utilities for MS-DOS and with Info-ZIP's own Zip program, our primary
objectives have been portability and non-MSDOS functionality.

UnZip will list, test, or extract files from a .zip archive, commonly found on
MS-DOS systems. The default behavior (with no options) is to extract into the
current directory (and subdirectories below it) all files from the specified
zipfile. A companion program, Zip, creates .zip archives; both programs are
compatible with archives created by PKZIP and PKUNZIP for MS-DOS, but in many
cases the program options or default behaviors differ. (For example, UnZip
recreates the stored directory structure by default; PKUNZIP unpacks all files
in the current directory by default.)

%prep
%setup -q -n %{dir}

%patch0 -p1

%build

perl -p -i -e 's|#!/bin/sh|#!/QOpenSys/usr/bin/sh|' unix/zipgrep

MAKE=`which make`

# generate a script to wrap the make call
# with all the parameters that we need
cat > _make <<EOF
#!/usr/bin/env bash

$MAKE \
  -f unix/Makefile \
  prefix=%{_prefix} \
  DESTDIR=%{buildroot} \
  MANDIR=%{_mandir}/man1 \
  CC=gcc \
  CFLAGS='-DNO_LCHMOD -DWILD_STOP_AT_DIR -DLARGE_FILE_SUPPORT -DUNICODE_SUPPORT -DUNICODE_WCHAR -DUTF8_MAYBE_NATIVE -DDATE_FORMAT=DF_YMD' \
  LFLAGS1='-Wl,-blibpath:/QOpenSys/usr/lib' \
  "\$@"
EOF

chmod +x _make

./_make aix

%install

./_make install

%files
%defattr(-, qsys, *none)

%{_bindir}/unzip
%{_bindir}/funzip
%{_bindir}/unzipsfx
%{_bindir}/zipgrep
%{_bindir}/zipinfo

%{_mandir}/man1/funzip.1
%{_mandir}/man1/unzip.1
%{_mandir}/man1/unzipsfx.1
%{_mandir}/man1/zipgrep.1
%{_mandir}/man1/zipinfo.1


%changelog
* Wed Sep 25 2019 Kevin Adler <kadler@us.ibm.com> - 6.0
- Add missing patch
- Clean up spec
- Use SPDX license identifier

* Sat Mar 03 2018 - Kevin Adler <kadler@us.ibm.com>
- use perl -pie instead of GNU sed -i
- Remove gcc wrappers
- Add BuildRequires
- various other fixes

* Wed Dec 20 2017 - Kevin Adler <kadler@us.ibm.com>
- Remove 64-bit GCC script workarounds for OBJECT_MODE

* Tue Nov 21 2017 - Kevin Adler <kadler@us.ibm.com>
- Enable version macros in zip/unzip specs

* Tue Nov 21 2017 - Kevin Adler <kadler@us.ibm.com>
- Remove outdated TODO comments

* Tue Nov 21 2017 - Kevin Adler <kadler@us.ibm.com>
- Use auto dependency resolution instead of requiring pase-libs

* Tue Nov 07 2017 - Kevin Adler <kadler@us.ibm.com>
- Fix license
